> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate signer message

> Generates a time-limited authentication message that must be signed by the end-user's wallet to prove key ownership. The signed message is required when creating an account (`POST /accounts`). Messages expire after 15 minutes.



## OpenAPI

````yaml /api-reference/openapi.json get /accounts/auth-message
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /accounts/auth-message:
    get:
      tags:
        - Accounts
      summary: Generate signer message
      description: >-
        Generates a time-limited authentication message that must be signed by
        the end-user's wallet to prove key ownership. The signed message is
        required when creating an account (`POST /accounts`). Messages expire
        after 15 minutes.
      operationId: getAuthMessage_accounts
      parameters:
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: JSON message to be signed by the user wallet
                  timestamp:
                    type: string
                    description: ISO 8601 timestamp of message generation
                  expiresAt:
                    type: string
                    description: ISO 8601 timestamp of message expiration
                required:
                  - message
                  - timestamp
                  - expiresAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````